package com.xxfc.discovery.fragment;

import android.os.Bundle;

import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.base.BaseFragment;
import com.xxfc.discovery.R;
import com.xxfc.discovery.presenter.DiscoveryPresenter;

public class RecommendFragment extends BaseFragment<DiscoveryPresenter> {

    public static RecommendFragment getInstance(int type) {
        Bundle bundl = new Bundle();
        bundl.putInt("type", type);
        RecommendFragment fragment = new RecommendFragment();
        fragment.setArguments(bundl);
        return fragment;
    }

    @Override
    public int getViewLayout() {
        return R.layout.fragment_recommend;
    }

    @Override
    protected void initView(Bundle savedInstanceState) {

    }

    @Override
    protected void loadData(Bundle savedInstanceState) {

    }

    @Override
    public void onShowResult(int requestType, BaseBean result) {

    }
}
